/*************************************

Color Palette
Dark Turquoise:  #0C384D    rgb(8,48,68)
Light Blue:	     #00aeef	rgb(0, 174, 239)
Dark Blue:	     #1c75bc	rgb(28, 117, 188)
Orange:	 	     #f7941e	rgb(247, 148, 30)
Green:		     #82c341	rgb(130,195,65)
Grey:		     #666    	rgb(102,102,102)

Fonts:
	Anton
	open sans
	Fugaz One

**************************************/


/********************************************
Global Styles
********************************************/

html {
  background: url('images/honey-halftone2.png') center repeat-y;
  background-color: #edf0f9;
  height: 100%;
}

body {
  background-color: rgba(255, 255, 255, .7);
  max-width: 1366px;
  margin: 0 auto;
  font-family: open sans, sans-serif;
}

#logo {
  height: 400px;
  width: 400px;
  display: inline;
  float: left;
  margin: 2% 0 0 3%;
}

#banner {
  background: url('images/banner-halftone.png') center no-repeat;
  margin: 0 auto;
  height: 400px;
  margin-top: -3%;
}

#tagline {
  font-family: Fugaz One, sans-serif;
  color: white;
  font-size: 3rem;
  letter-spacing: .05em;
  padding: 5% 0 0 40%;
}

nav {
  display: flex;
  justify-content: space-around;
  max-width: 65%;
}

.navIcon {
  display: inline-block;
  vertical-align: top;
  height: 125px;
  margin-left: 5%;
  transition: all .1s ease-in-out;
}

.navIcon:hover {
  transform: scale(1.1);
}

.contact {
  /* contact icon in nav */
  margin-left: 3%;
}

h1 {
  font-family: Fugaz One, sans-serif;
  font-size: 5em;
  letter-spacing: .05em;
  color: #1c75bc;
  margin-bottom: 1em;
  display: block;
  clear: both;
  text-align: center;
}

h2 {
  font-family: montserrat, sans-serif;
  color: #1c75bc;
}

h3,
h4,
h5,
h6 {
  font-family: open sans, sans-serif;
  color: #1c75bc;
}

a {
  color: #f7941e;
}

a:hover {
  color: #0C384D;
}

p {
  font-family: open sans, sans-serif;
  font-size: 16px;
  line-height: 24px;
}

footer {
  margin: 0 auto;
  background: url('images/footer.png') center no-repeat;
  font-family: open sans, sans-serif;
  color: white;
  padding-top: 2%;
  height: 400px;
}

footer p {
  font-size: 1em;
  padding: 0 0 0 3%;
}

.social {
  padding-top: 20%;
  display: flex;
  align-items: center;
}

.socialIcon {
  display: inline;
  width: 130px;
  padding-left: 20px;
  padding-right: 40px;
}

.top {
  display: block;
  clear: both;
  text-align: center;
  margin-bottom: 2em;
}

.top a {
  width: 100%;
  font-family: fugaz one, sans-serif;
  color: #f7941e;
  font-size: 2em;
}

.centered {
  text-align: center;
}


/********************************************
Wrapper Styles
********************************************/

#wrapper {
  margin: 0 auto;
}

.aboutText,
.intro {
  width: 100%;
  background: rgb(0, 174, 239);
  /* -webkit-clip-path: polygon(0 0, 1366px 0, 1366px 80%, 0 100%);
  clip-path: polygon(0 0, 1366px 0, 1366px 80%, 0 100%); */
  position: relative;
}

.intro {
  margin-bottom: 5em;
}

.introParagraph {
  font-family: montserrat, sans-serif;
  width: 65%;
  margin: 0 auto;
  font-size: 1.25em;
  padding: 2% 5%;
  color: white;
  letter-spacing: .1em;
  line-height: 1.5em;
}


/********************************************
About Styles
********************************************/

.briSquatch {
  margin: 0 auto;
  text-align: center;
  margin-bottom: -1%;
  position: relative;
  z-index: 1;
}

.contactLink,
.spec a {
  color: rgb(8, 48, 68);
}

.contactLink:hover,
.spec a:hover {
  color: #f7941e;
}


/********************************************
Portfolio Styles
********************************************/


/* Tooltip container */

.tooltip {
  position: relative;
  display: inline-block;
  text-decoration: underline;
  color: #f7941e;
}


/* Tooltip text

.tooltip .tooltiptext {
	visibility: hidden;
	width: 120px;
	background-color: black;
	color: #fff;
	text-align: center;
	padding: 5px 0;
	border-radius: 6px;
	position: absolute;
	z-index: 1;
}

.tooltip:hover .tooltiptext {
	visibility: visible;
}
*/


/* end Tooltip text */

.portOptions {
  font-family: open sans, sans-serif;
  font-size: 1em;
  text-align: center;
  margin-bottom: 4em;
  letter-spacing: .1em;
}

.portOptions h1,
.portOptions h2 {
  margin: 0;
  padding: 0;
  color: #f7941e;
}

.portOptions h2,
.portOptions p {
  display: inline;
  margin: 0 1em;
}

.tooltip {
  display: inline;
}

.works {
  display: block;
  clear: both;
  margin: 0 auto;
  margin-bottom: 5%;
  border-bottom: 15px solid rgb(222, 237, 247);
}

.description {
  max-width: 100%;
  padding: 1% 5%;
  margin: 0 0 1em 0;
}

.description h3,
.description h4,
.description h5 {
  display: inline;
  font-family: montserrat, sans-serif;
  margin-right: 5%;
}

.description h4 {
  color: #F7931E;
}

.description h5 {
  margin: 0;
  float: right;
}

.description p {
  max-width: 60%;
}

.github {
  font-family: montserrat, sans-serif;
  font-size: 1.25em;
  text-align: right;
  margin: 0 5% 5% 0;
}

.github a {
  text-decoration: none;
}

.github-logo {
  height: 75px;
}

.octocat-logo {
  height: 75px;
}

.winning {
  display: inline;
  color: #f7941e;
  font-size: 1.2em;
}

#screenshots {
  text-align: center;
}

#screenshots img {
  cursor: pointer;
  transition: 0.3s;
}

.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 20px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: scroll;
  /* Enable scroll if needed */
  background-color: rgb(0, 0, 0);
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.9);
  /* Black w/ opacity */
}


/* Modal Content (Image) */

.desktop {
  max-width: 800px;
  vertical-align: top;
  margin: 1%;
}

.desktop:hover {
  opacity: .6;
  cursor: pointer;
}

.iPad {
  max-width: 20%;
  vertical-align: top;
  margin: 1%;
}

.iPad:hover {
  opacity: .6;
  cursor: pointer;
}

.iPhone {
  max-width: 10%;
  vertical-align: top;
  margin: 1%;
}

.iPhone:hover {
  opacity: .6;
  cursor: pointer;
}


/* Add Animation - Zoom in the Modal */

.modal-content {
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.6s;
  animation-name: zoom;
  animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
  from {
    -webkit-transform: scale(0)
  }

  to {
    -webkit-transform: scale(1)
  }
}

@keyframes zoom {
  from {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}


/* The Close Button */

#rrDesktopModalClose,
#rrIpadModalClose,
#rrIphoneModalClose,
#hayesDesktopModalClose,
#hayesIpadModalClose,
#hayesIphoneModalClose,
#wpDesktopModalClose,
#wpIpadModalClose,
#wpIphoneModalClose,
#dontDesktopModalClose,
#dontIpadModalClose,
#dontIphoneModalClose {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

#rrDesktopModalClose:hover,
#rrIpadModalClose:hover,
#rrIphoneModal:hover,
#hayesDesktopModalClose:hover,
#hayesIpadModalClose:hover,
#hayesIphoneModal:hover,
#wpDesktopModalClose:hover,
#wpIpadModalClose:hover,
#wpIphoneModal:hover,
#dontDesktopModalClose:hover,
#dontIpadModalClose:hover,
#dontIphoneModal:hover {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}


/* 100% Image Width on Smaller Screens */

@media only screen and (max-width: 700px) {
  .modal-content {
    width: 100%;
  }
}


/********************************************
Contact Form
********************************************/

.contactForm form {
  max-width: 35%;
  height: 598px;
  margin: 0 auto;
  text-align: left;
  background: rgba(0, 174, 239, .5);
  padding: 3% 0 0 3%;
  background: url('images/formBkgrnd.png') no-repeat;
  background-size: 100%;
}

.contactForm p {
  font-family: fugaz one, sans-serif;
  color: #f7941e;
  font-size: 1.2em;
  color: #0C384D;
  opacity: .8;
}

.contactForm input {
  width: 60%;
  height: 20px;
  font-size: 1.3em;
  transform: rotate(-.8deg);
  margin-top: .25em;
  border: none;
}

.contactForm textarea {
  width: 80%;
  height: 100px;
  font-size: 1.3em;
  transform: rotate(-.8deg);
  border: none;
}

.contactForm button {
  transform: rotate(-.8deg);
}

.success {
  font-size: 2em;
}

.success p,
.return p {
  text-align: center;
  font-size: 1em;
}

button {
  width: 150px;
  height: 50px;
  font-family: montserrat, sans-serif;
  background: #f7941e;
  color: white;
  border-radius: 10px;
  font-size: 1em;
  opacity: .8;
}

button:hover {
  cursor: pointer;
}

.wsEmail {
  text-align: center;
}

.url {
  visibility: hidden;
}

/********************************************
Media Queries
********************************************/

@media (min-width: 1025px) {}

#tagline {
  font-size: 2em;
}

@media (min-width: 481px) and (max-width: 1024px) {
  #tagline {
    font-size: 1.5rem;
    line-height: 1em;
  }

  .desktop {
    max-width: 50%;
    margin: 0 auto;
  }

  .description {
    margin: 0 auto;
    margin-bottom: 1em;
  }

  .description h3,
  .description h4,
  .description h5,
  .description p {
    color: #1175BC;
    display: block;
    clear: both;
    margin: 0;
    padding: 0;
  }

  .description p {
    max-width: 90%;
    clear: both;
    padding: 5%;
  }

  .top {
    font-size: .75em;
  }

  .contactForm form {
    max-width: 75%;
    height: 750px;
    margin: 0 auto;
    text-align: left;
    background: rgba(0, 174, 239, .5);
    padding: 6% 0 0 3%;
    background: url('images/formBkgrnd.png') no-repeat;
    background-size: 100%;
  }

  button {
    margin-left: 5%;
  }

  .contactForm p {
    padding-left: 5%;
  }

  footer {
    background: none;
    height: 100px;
  }

  footer p {
    padding: 3% 0;
    margin: 0;
    color: rgb(28, 117, 188);
    text-align: center;
  }
}

@media (max-width: 480px) {
  body {
    display: inherit;
  }

  #logo {
    display: block;
    margin: 0 auto;
  }

  #banner {
    max-width: 400px;
  }

  #wrapper {
    margin: 0 auto;
  }

  #tagline {
    display: block;
    font-size: 1rem;
    margin: 0 auto;
    text-align: center;
    padding: 0;
    color: #f7941e;
  }

  nav {
    display: block;
    max-width: 400px;
    text-align: center;
  }

  .navIcon {
    margin: 0;
    padding-right: 10px;
  }

  .about {
    height: 80px;
  }

  .work {
    /* work icon in nav */
    height: 80px;
    padding-right: 15px;
  }

  .blog {
    height: 80px;
    padding-right: 0;
  }

  .contact {
    height: 80px;
    /* contact icon in nav */
    padding: 0;
  }

  h1 {
    font-size: 2em;
    margin-top: 4.5em;
    line-height: .85em;
  }

  h2 {
    font-size: 1em;
  }

  .portOptions h1 {
    font-size: 2.9em;
    margin-top: 3em;
    margin-bottom: .25em;
  }

  .intro {
    background-color: white;
  }

  .introParagraph {
    background-color: white;
    color: #1175BC;
    font-size: 1em;
    width: 90%;
    padding: 2%;
  }

  .magnify {
    display: block;
    padding: 0;
    margin: 0;
  }

  .works {
    padding: 0;
    margin: 10% 0;
    min-height: 100%;
  }

  .desktop {
    max-width: 50%;
    margin-bottom: 1em;
  }

  .description {
    margin: 0 auto;
    margin-bottom: 1em;
  }

  .description h3,
  .description h4,
  .description h5,
  .description p {
    color: #1175BC;
    display: block;
    clear: both;
    margin: 0;
    padding: 0;
  }

  .description p {
    max-width: 90%;
    clear: both;
    padding: 5%;
  }

  .winning {
    display: block;
  }

  .github {
    margin-top: 1em;
    text-align: center;
  }

  .github img {
    width: 20%;
  }

  .screenshots img {
    padding: 1em;
  }

  .top {
    font-size: .75em;
  }

  .contactForm form {
    padding: 8% 0 0 3%;
    max-width: 90%;
  }

  .contactForm p {
    padding-left: 5%;
    margin: 1%;
  }

  .contactForm textarea {
    height: 75px;
  }

  button {
    margin-top: 10em;
  }

  .thanks h1 {
    margin-top: 2em;
    font-size: 2em;
  }

  .success,
  .return {
    font-size: 1em;
  }

  footer {
    background: none;
    height: 200px;
  }

  footer p {
    padding: 3% 0;
    margin: 0;
    color: rgb(28, 117, 188);
    text-align: center;
  }
}

.form-group-hidden {
  position: absolute;
  left: -9999px;
  height: 0;
  width: 0;
  overflow: hidden;
}